<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
IBackup..::.Write Method
IBackup Interface See Also Send Feedback

Called when writing data during a backup.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    int Write(
    	byte[] data,
    	long offset,
    	int count
    )

Visual Basic (Declaration)

    Function Write ( _
    	data As Byte(), _
    	offset As Long, _
    	count As Integer _
    ) As Integer

Visual C++

    int Write(
    	array<unsigned char>^ data,
    	long long offset,
    	int count
    )

#### Parameters

data
  Type: array< System..::.Byte >[]()[]
  Identifies the buffer which contains the data to be backed up.

offset
  Type: System..::.Int64
  Identifies the position in the file where bytes from buf should be written.

count
  Type: System..::.Int32
  Identifies the number of bytes to write to the file from the buffer.

#### Return Value

0 on success, non-zero on error.

# See Also

IBackup Interface
BerkeleyDB Namespace